Bug 1288001 - Router will print a ton of logs if without default cert option and edge route without cert/key
Router will print a ton of logs if without default cert option and edge route...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Routing (Show other bugs)
3.x
All All
low Severity low
: ---
: ---
Assigned To: Phil Cameron
zhaozhanqi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 04:50 EST by zhaozhanqi
Modified: 2016-12-16 03:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 15:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2015-12-03 04:50:13 EST
Description of problem:
Given a router without default cert created. and Create one edge route without cert and key specified. thus router will print a ton of logs every 10 Mins like:

W1203 08:51:02.914548       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:02.931365       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:02.947678       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:02.963953       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:02.979966       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:02.996040       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:03.012458       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:03.029010       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 08:51:03.045211       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 09:01:03.914796       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 09:01:03.931330       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written
W1203 09:01:03.947600       1 router.go:524] a edge terminated route with host hello-nginx-default.router.default.svc.cluster.local does not have the required certificates.  The route will still be created but no certificates will be written



Version-Release number of selected component (if applicable):
oc v1.1-311-gb6ea411
kubernetes v1.1.0-origin-1107-g4c8e6f4
openshift/origin-haproxy-router      b6ea411         8a2716e6421d

How reproducible:
always

Steps to Reproduce:
1. Create router without default key
2. Create edge route without certificate/key
3. Check router logs

Actual results:

as Description 

Expected results:

Better to print one time warning message.

Additional info:
Comment 1 Phil Cameron 2016-09-06 13:33:24 EDT
1349144 makes sure there is a default cert when a router is created. Does this problem continue to show with this fix?
Comment 2 Meng Bo 2016-09-06 23:14:46 EDT
This bug cannot be reproduced if the router is created with default cert auto generated.

If we have no way to create a router without default cert, then the bug can be closed.
Comment 3 Eric Paris 2016-09-06 23:16:26 EDT
side effect bug fix FTW!
Comment 4 Phil Cameron 2016-09-14 15:02:24 EDT
Bo,
When a router is created and the admin does not supply a default cert one is automatically created.
Phil
Comment 5 zhaozhanqi 2016-09-17 20:52:02 EDT
@ Phil

I do not think this bug was closed by 'NOTABUG'. it is really a bug at the beginning. and it was resolved by PR of bug 1349144.

Note You need to log in before you can comment on or make changes to this bug.